# TexPrax
### Lorenz Stangier`*`, Ji-Ung Lee`*`, Yuxi Wang, Marvin Müller, Nicholas Frick, Joachim Metternich, and Iryna Gurevych
#### [UKP Lab, TU Darmstadt](https://www.informatik.tu-darmstadt.de/ukp/ukp_home/index.en.jsp)
#### [PTW, TU Darmstadt](https://www.ptw.tu-darmstadt.de/institut_ptw/index.de.jsp)
`*` Both authors contributed equally.

> Drop us a line or report an issue if something is broken (and shouldn't be) or if you have any questions.

* **Contact** 
    * Ji-Ung Lee (lee@ukp.informatik.tu-darmstadt.de) 
    * UKP Lab: http://www.ukp.tu-darmstadt.de/
    * PTW: https://www.ptw.tu-darmstadt.de/
    * TU Darmstadt: http://www.tu-darmstadt.de/

> For license information, please see the LICENSE and README files.

Code for the [TexPrax](https://texprax.de/) project consisting of three components:

* synapserecording
* recorder-bot
* texpraxconnector

A detailed description and installation instructions can be found in the respective folders.

A demo video of the project can be found [here](https://nextcloud.ukp.informatik.tu-darmstadt.de/index.php/s/EcQxDwAEeNT4w8n).

> Disclaimer: This repository contains experimental software and is published for the sole purpose of giving additional background details on the respective publication. 

## Data

An anoymized version of the collected data including annotations can be downloaded from [tudatalib](https://tudatalib.ulb.tu-darmstadt.de/handle/tudatalib/3534) or via [huggingface-datasets](https://huggingface.co/datasets/UKPLab/TexPrax) (CC-by-NC). 

### Synapserecording

The modified Synapse instance to automatically invite the bot into newly created rooms.


### Recorder Bot

The chatbot that keeps track of messages, provides label suggestions, and collects feedback via reactions.

### Texprax Connector

Example code to exchange data with an external dashboard via HTTP requests. 


## Citing the paper (preprint)

```
@article{stangier2022texprax,
  title={TexPrax: A Messaging Application for Ethical, Real-time Data Collection and Annotation},
  author={Stangier, Lorenz and Lee, Ji-Ung and Wang, Yuxi and M{\"u}ller, Marvin and Frick, Nicholas and Metternich, Joachim and Gurevych, Iryna},
  journal={arXiv preprint arXiv:2208.07846},
  year={2022}
}

```
